BadStringOperationException (Java Platform SE 8 )
Keywords: javax.management.BadStringOperationException class
Date: 2026-04-17

compact3
javax.management

## Class BadStringOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.BadStringOperationException

- All Implemented Interfaces:
    Serializable

      public class BadStringOperationException
      extends Exception

  Thrown when an invalid string operation is passed to a method for constructing a query.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BadStringOperationException(String message)` Constructs a `BadStringOperationException` with the specified detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns the string representing the object.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BadStringOperationException

          public BadStringOperationException(String message)

      Constructs a `BadStringOperationException` with the specified detail message.
      Parameters:
        `message` - the detail message.

  - ### Method Detail

    - #### toString

          public String toString()

      Returns the string representing the object.
      Overrides:
        `toString` in class `Throwable`
      Returns:
        a string representation of this throwable.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.